/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.validate.date_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.validate.date_test'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

  epages.validate.date_test $Revision: 1.3 $

*/
dojo.provide('epages.validate.date_test');
dojo.require('epages.validate.date');

epages.validate.date.test = function(eTest) {
	eTest.setPlanned(9);
	eTest.ok(1, 'loaded');

  eTest.ok(epages.validate.date.isTime('12:23:45', '%H:%M:%S') === true, 'isTime, correct');
  eTest.ok(epages.validate.date.isTime('12:23.45', '%H:%M:%S') !== true, 'isTime, incorrect');

  eTest.ok(epages.validate.date.isDate('12.11.10', '%d.%m.%y') === true, 'isDate, correct');
  eTest.ok(epages.validate.date.isDate('12.11.2010', '%d.%m.%y') === true, 'isDate, correct');
  eTest.ok(epages.validate.date.isDate('12.13.2010', '%d.%m.%y') !== true, 'isDate, incorrect');


  eTest.ok(epages.validate.date.isDateTime('19.11.07 16:02', '%d.%m.%y %H:%M') === true, 'isDateTime, correct');
  eTest.ok(epages.validate.date.isDateTime('19.11.2007 16:02', '%d.%m.%y %H:%M') === true, 'isDateTime, correct');
  eTest.ok(epages.validate.date.isDateTime('19.11.2007 16:02:50', '%d.%m.%y %H:%M') !== true, 'isDateTime, incorrect');

  return eTest.planned == eTest.correct;
}

}
